%define name		libgcrypt
%define version		1.2.4
%define release		%mkrel 1

%define major		11
%define libname		%mklibname gcrypt %{major}

# disable tests by default, no /dev/random feed, no joy
%define do_check 0
%{expand: %{?_with_check: %%global do_check 1}}

Summary: 	GNU Cryptographic library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Url: 		http://www.gnupg.org/

# don't convert to bzip2, since we ship archive signature
Source0: 	ftp://ftp.gnupg.org/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2.sig
Patch1:		libgcrypt-1.2.0-libdir.patch
Patch2:		libgcrypt-1.2.3-ppc64.patch

BuildRequires:	libgpg-error-devel >= 0.5

%package	-n %{libname}
Summary:	GNU Cryptographic library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%package	-n %{libname}-devel
Summary:	Development files for GNU cryptographic library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.


%description -n %{libname}
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.


%description -n %{libname}-devel
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.
This package contains files needed to develop
applications using libgcrypt. ( For example Ägypten project )


%prep
%setup -q
%patch1 -p1 -b .libdir
%patch2 -p1 -b .ppc64

%build
%configure2_5x
%make

%check
%if %{do_check}
make check
%endif

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info

%postun -n %{libname}-devel
%_remove_install_info %{name}.info


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING COPYING.LIB README NEWS THANKS TODO

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog README.*

%{_bindir}/*
%{_includedir}/*.h

%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%{_datadir}/aclocal/*
%{_infodir}/gcrypt.info*


%changelog
* Fri Feb 02 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.4-1mdv2007.0
+ Revision: 115972
- updated to version 1.2.4

* Wed Dec 13 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.3-2mdv2007.1
+ Revision: 96333
- don't make check
- add ppc64 support

* Mon Aug 28 2006 Andreas Hasenack <andreas@mandriva.com> 1.2.3-1mdv2007.0
+ Revision: 58340
- updated to version 1.2.3 (upstream bugfixes)
- bunzipped patch
- Import libgcrypt




* Sun Dec 04 2005 Andreas Hasenack <andreasa@mandriva.com> 1.2.2-1mdk
- updated to version 1.2.2

* Mon Jun 20 2005 Erwan Velu <velu@seanodes.com> 1.2.1-1mdk
- 1.2.1
- Removed patch0 merged upstream
- Removed patch2 : no more necessary

* Mon May 30 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-7mdk
- Fix compile with gcc-4.0

* Fri Mar 11 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-6mdk
- reupload --> lost during ken crash

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-5mdk
- drop lib64 patch in favor of total nuking of -L$(libdir) where
  libdir is a standard library search path, aka fix parallel
  installation when you don't install them at once.

* Wed Feb  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-4mdk
- lib64/multiarch

* Fri Dec 17 2004 Abel Cheung <deaddog@mandrake.org> 1.2.0-3mdk
- Rebuild

* Wed Aug 18 2004 Abel Cheung <deaddog@deaddog.org> 1.2.0-2mdk
- Rebuild

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 1.2.0-1mdk
- Patch0: automake 1.8 compatibility
- New stable version
- make check
- Use UTF-8 for spec!

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.94-1mdk
- Release 1.1.94
- Switch back to gzip archives, since they are signed upstream

* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.91-1mdk
- new release
- fix buildrequires

* Tue Aug  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.12-1mdk
- Release 1.1.12
- mklibname

* Thu Jul 31 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.1.10-7mdk
- rebuild
- use %%configure2_5x and avoid the use of P0

* Sat Nov 23 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.1.10-6mdk
- Better fix for binary name(Patch #0)
- Follow mdk lib policy
- Removed non-existing libgcrypt.txt file from filelist
- bzip2'ed the source
- Remove tests from doc (rpmlint says so)
- Move *.so to -devel package, only *.so.* stays
- Cleanups

* Sat Nov 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.10-5mdk
- fix binary name for arch != i586

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-4mdk
- Rebuild

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-3mdk
- Fix bin name

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-2mdk
- Fix postun/post

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-1mdk
- Initial package
